
/*	QDEMO.C							*/
/*	copyright 1990, Access Technology Corporation		*/
/*								*/
/*	source code for the demo of QTALK communications addin	*/
/*	to illustrate the usage of commands and performance	*/
/*	characteristics of the addin				*/



#include "d:\qco\qtalkc.inc"              /*  QTALK prototypes  */

#include "conio.h"
#include "stdio.h"
#include "stdlib.h"
#include "process.h"

#define	on	1
#define off	0
#define esc     27

/*	function prototypes					*/

int     main(int,int);
void	initparm(void);
void	initport(void);
void	dialcall(void);
void	terminal(void);
void	host(void);
void	menu(void);
void	upload(void);
void    dnload(void);
void    dropline(void);

extern  void pascal   INFOSCRN(void);

int     ex=0;
char	pnum[40];
char	fname[40];
char    const cls[4]="cls";
char    const hang[5]="ATH\n";

int main(k,l)

	{
	INFOSCRN();                     /* tell user about demo         */
	initport();			/* initialise port/modem	*/

	while(ex!=27)
	{
	menu();
	
	switch(ex)
	{
	case  '1':
		terminal();
		break;

	case  '2':
		dnload();
		break;
	case '3':
		upload();
		break;
	case '4':
		dropline();
		break;
	case '5':
		host();
		break;
	case '6':
		dialcall();
		break;						

	default:
		break;
	};
	};

	system(cls);
	printf ("hanging up the phone, thanks for trying QTALK\n");
	dropline();                     /* disconnect before quitting   */
	COMQUIT();			/* let QTALK do its housekeeping*/
	CHIRP();
	return(0);
	};

/* */	

void initport()
	{
	COMPORT(1);
	};

void dropline()
	{
	ECHO(off);
	TXLINE(hang);
	HANGUP;
	ECHO(on);
	};

void dialcall()
	{
	printf ("demonstration of QTALK dialing function\n\n");
	printf ("please enter number to dial:  ");
	gets(pnum);
	ECHO(off);
	DIAL(pnum);
	ECHO(on);
	CHIRP();
	};
	

void terminal()
	{
	printf ("demonstration of QTALK terminal function\n\n");
	printf ("press esc to return to main menu\n\n");
	CHAT(esc);
	};

	
void host()
	{
	printf ("demonstration of QTALK answer function\n\n");
	printf ("waiting for call on first ring, press esc to exit");
	ECHO(off);
	ANSWER(1);
	CHIRP();
	ECHO(on);
	printf ("\n");
	terminal();
	};
	


void menu()
	{
/* clear screen here */
	system(cls);
	printf ("QDEMO functions available:\n\n");
	printf ("1.  terminal mode\n");
	printf ("2.  xmodem receive\n");
	printf ("3.  xmodem transmit\n");
	printf ("4.  hangup\n");
	printf ("5.  answer mode\n");
	printf ("6.  dial call\n\n");
	printf ("    select by number, or press esc to exit   ");
	ex=getch();
	system(cls);
/* clear screen here */	
	};

void upload()
	{
	printf ("demonstration of QTALK xmodem/crc send function\n\n");
	printf ("name of file to send:  ");
	gets(fname);
	TXMODEM(fname);
	};
	
	
void dnload()
	{
	printf ("demonstration of QTALK xmodem/crc receive function\n\n");
	printf ("name of file to receive:  ");
	gets(fname);
	RXMODEM(fname);
	};
	
	



