

{	QDEMO.PAS						}
{	copyright 1990, Access Technology Corporation		}
{								}
{	source code for the demo of QTALK communications addin	}
{	to illustrate the usage of commands and performance	}
{	characteristics of the addin				}


Program QDEMO;


Uses CRT;

{$I d:\qco\qtalk_tp.inc}		{function definitions	}
{$L d:\qco\qtalk_tp.obj}		{function linkable code	}

{$F+}
procedure infoscrn ;external;
{$F-}
{$L d:\qco\demologo.obj}                {proprietary logo       }


Var

  No     : Integer;
  Yes    : Integer;
  One    : Integer;
  Two    : Integer;
  On     : Integer;
  Off    : Integer;
  P      : String;
  F      : String;
  esc    : Integer;
  X      : Integer;
  Exit   : Boolean;
  Ch     : Char;
  Wait   : Integer;



Procedure Initialize_Parameters;

  Begin
    On    := 1;        { Equate to 1 }
    Off   := 0;        { Equate to 0 }
    One   := 1;        { 1 stop bit }
    Two   := 2;        { Equate to 2 }
    P     := '';       { Prompt string set to null }
    esc   := 27;
    Exit  := False;    { Force repeated iterations }
    Ch    := ' ';      { Exit test character }
    Wait  := 30;       { Wait time }

  End; { Initialize Parameters }


procedure Initialize_Port;
  begin
    ComPort(one);
  end;


procedure dropline;
  begin
    p:='ATH'#13;
    echo(off);
    txline(p);
    hangup;
    echo(on);
  end;


procedure dialcall;

  begin
       writeln('demonstration of QTALK dialing function'#10);
       write  ('please enter number to dial:  ');
       readln (f);
       write  (#10#13'dialing now, press esc to abort ...  ');
       echo(off);
       dial(f);
       echo(on);
       chirp;
  end;

procedure terminal;

  begin
       writeln('demonstration of QTALK terminal function'#10);
       writeln('press ESC to return to main menu');
       chat(esc);
  end;


procedure host;

  begin
       writeln('demonstration of QTALK answer function'#10);
       writeln('waiting for call on first ring, press esc to exit');
       echo(off);
       answer(one);
       chirp;
       echo(on);
       writeln;
       terminal;
  end;


function MainMenu: char;

  begin
       clrscr;
       writeln('QDEMO functions available:'#10);
       writeln('1.  terminal mode');
       writeln('2.  xmodem receive');
       writeln('3.  xmodem transmit');
       writeln('4.  hangup');
       writeln('5.  answer mode');
       writeln('6.  dial call');
       write(#10'    select by number, or press esc to exit  ');
       mainmenu:=readkey;
       clrscr;
  end;


procedure Upload;

  begin
      writeln('demonstration of QTALK xmodem/crc send function'#10);
      Write('name of file to send:  ');
      Readln(F);
      TxModem(F);
  end;


procedure Dnload;

  begin
       writeln('demonstration of QTALK xmodem/crc receive function'#10);
       write('name of file to receive:  ');
       readln(F);
       RxModem(F);
  end;



BEGIN
	InfoScrn;			{tell user about QTALK		}

        Initialize_Parameters;
        Initialize_Port;

        While Exit=False do
        begin
        ch:=mainmenu;
        case ch of
        '1':  terminal;
        '2':  dnload;
        '3':  upload;
        '4':  dropline;
        '5':  host;
        '6':  dialcall;
        #27:  Exit:=true;
        end;
        end;


  clrscr;
  writeln('hanging up the phone, thanks for trying QTALK');
  dropline;
  ComQuit;

END.